diff -rwu async-0.4/src/Makefile.am async-0.4-fixed/src/Makefile.am
--- async-0.4/src/Makefile.am	2005-07-29 16:43:25.000000000 +0200
+++ async-0.4-fixed/src/Makefile.am	2011-02-13 14:25:24.000000000 +0100
@@ -6,5 +6,5 @@
 async_test_server_LDADD = -lasync
 include_HEADERS = SocketConnection.hpp \
 StreamConnection.hpp DatagramConnection.hpp async.h FdConnection.hpp
-CXXFLAGS = -gdwarf-23 -Wall
-LDFLAGS = -gdwarf-23
+CXXFLAGS = -g -Wall
+LDFLAGS = -g
diff -rwu async-0.4/src/Makefile.in async-0.4-fixed/src/Makefile.in
--- async-0.4/src/Makefile.in	2005-07-29 16:43:25.000000000 +0200
+++ async-0.4-fixed/src/Makefile.in	2011-02-13 14:25:35.000000000 +0100
@@ -94,8 +94,8 @@
 include_HEADERS = SocketConnection.hpp \
 StreamConnection.hpp DatagramConnection.hpp async.h FdConnection.hpp
 
-CXXFLAGS = -gdwarf-23 -Wall
-LDFLAGS = -gdwarf-23
+CXXFLAGS = -g -Wall
+LDFLAGS = -g
 subdir = src
 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
diff -rwu async-0.4/src/SocketConnection.cpp async-0.4-fixed/src/SocketConnection.cpp
--- async-0.4/src/SocketConnection.cpp	2005-07-29 16:43:25.000000000 +0200
+++ async-0.4-fixed/src/SocketConnection.cpp	2011-02-13 14:00:45.000000000 +0100
@@ -50,9 +50,9 @@
 	}
 }
 
-int SocketConnection::MakeSocket(int socktype) return ret
+int SocketConnection::MakeSocket(int socktype)
 {
-	ret=socket(PF_INET, socktype, 0);
+	int ret=socket(PF_INET, socktype, 0);
 	if (ret<0)
 	{
 		return false;
diff -rwu async-0.4/src/async.cpp async-0.4-fixed/src/async.cpp
--- async-0.4/src/async.cpp	2005-07-29 16:43:25.000000000 +0200
+++ async-0.4-fixed/src/async.cpp	2011-02-13 13:59:32.000000000 +0100
@@ -16,6 +16,7 @@
 
 // async.cpp - Copyright (C) 2002, Simon Brenner
 
+#include <cstdlib>
 #include <sys/poll.h>
 #include <sys/types.h>
 #include <asm/types.h>
